Jump to content

Prestashop 1.7.7.0 e errori HTTP/2


Recommended Posts

Salve, premetto che abbiamo un server dedicato con Debian 10.

Abbiamo aggiornato il Prestashop alla versione 1.7.7.0 e  PHP alla versione 7.3.

tutto OK e tutti i moduli di gestione prodotti tramite API non hanno dato alcun problema.

Da qualche giorno è stato effettuato sul nostro server l'aggiornamento di CURL alla versione 7.62.0.

Da questo momento non funziona più nulla e ogni tentativo di accedere dall'esterno da parte de inostri moduli restituisce errore HTTP/2 problema PROTOCOL_ERROR (err 1).

Allego la risposta del servizio Plesk a questo problema:

----------------------------------

Alcune API meno recenti o alcuni plugin non sembrano essere compatibili con l'ultima versione HTTP. La versione più recente di CURL utilizzerà questo protocollo per impostazione predefinita e di conseguenza fallirà. Ciò può causare un comportamento piuttosto confuso perché uno script che funziona su una macchina potrebbe non funzionare necessariamente su un'altra. Per massimizzare la compatibilità dovresti idealmente specificare CURLOPT_HTTP_VERSION per le richieste di curl ai server più vecchi che non supportano CURL_HTTP_VERSION_2TLS.

----------------------------------

nessuno ha avuto di questi problemi con il Prestashop? Siamo gli unici "fortunati"?

si sono pensate delle soluzioni?

Grazie...

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More